using SdbS.CustomControls;
using SdbS.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SdbS.View_Start.Pages
{
    /// <summary>
    /// Логика взаимодействия для Registration.xaml
    /// </summary>
    public partial class Registration : Page
    {
        public Registration()
        {
            InitializeComponent();
        }

        /* Нажатие по кнопке для регистрации */
        private void button_Registration_Click(object sender, RoutedEventArgs e)
        {
            string login = textBox_login.Text.Replace(" ", string.Empty);
            string password = passwordBox_password.Password.Replace(" ", string.Empty);

            if (login != "" && password != "")
            {
                RegistrationButton.AddAccount(login, password);

                MessageBox.Show("Успешная регистрация", "Оповещение", MessageBoxButton.OK,
                                MessageBoxImage.Information);
            }

            else
                MessageBox.Show("Постойте! Вы не ввели все данные в поля.", "Ошибка",
                                MessageBoxButton.OK, MessageBoxImage.Warning);
            
        }
    }
}
